Skip to main content
POST
https://api.aisa.one/apis/v1
/
dataforseo
/
business_data
/
tripadvisor
/
search
/
task_post
Setting Business Data Tripadvisor Search Tasks
curl --request POST \
  --url https://api.aisa.one/apis/v1/dataforseo/business_data/tripadvisor/search/task_post \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "keyword": "<string>",
  "location_name": "<string>",
  "location_code": 123,
  "priority": 123,
  "depth": 123,
  "tag": "<string>",
  "postback_url": "<string>",
  "pingback_url": "<string>"
}
'
{
  "version": "<string>",
  "version.status_code": 123,
  "version.status_message": "<string>",
  "version.time": "<string>",
  "version.cost": 123,
  "version.tasks_count": 123,
  "version.tasks_error": 123,
  "tasks": [
    "<string>"
  ],
  "tasks.id": "<string>",
  "tasks.status_code": 123,
  "tasks.status_message": "<string>",
  "tasks.time": "<string>",
  "tasks.cost": 123,
  "tasks.result_count": 123,
  "tasks.path": [
    "<string>"
  ],
  "tasks.data": {},
  "result": [
    "<string>"
  ]
}

Documentation Index

Fetch the complete documentation index at: https://aisa.one/docs/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
keyword
string
required

keyword required field the keyword you specify should indicate a business category, company name, or a prominent place; you can specify up to 700 characters in the keyword filed; all %## will be decoded (plus character ‘+’ will be decoded to a space character); if you need to use the “%” character for your keyword, please specify it as “%25” learn more about rules and limitations of keyword and keywords fields in DataForSEO APIs in this Help Center article

location_name
string
required

full name of search engine location required field if you don’t specify location_code you can receive the list of available locations with location_name by making a separate request to the https://api.dataforseo.com/v3/business_data/tripadvisor/locations example: London,England,United Kingdom

location_code
integer
required

search engine location code required field if you don’t specify location_name you can receive the list of available locations with location_code by making a separate request to the https://api.dataforseo.com/v3/business_data/tripadvisor/locations example: 1003854

priority
integer

task priority optional field can take the following values: 1 – normal execution priority (set by default) 2 – high execution priority You will be additionally charged for the tasks with high execution priority. The cost can be calculated on the Pricing page.

depth
integer

parsing depth optional field number of search results to be returned from the API response we strongly recommend setting the parsing depth in the multiples of thirty because our systems processes thirty search results in a row; default value: 30; maximum value: 210 Your account will be billed per each SERP containing up to 30 results; Setting depth above 30 may result in additional charges if the search engine returns more than 30 results; The cost can be calculated on the Pricing page.

tag
string

user-defined task identifier optional field the character limit is 255 you can use this parameter to identify the task and match it with the result you will find the specified tag value in the data object of the response

postback_url
string

return URL for sending task results optional field once the task is completed, we will send a POST request with its results compressed in the gzip format to the postback_url you specified you can use the ‘$id’ string as a $id variable and ‘$tag’ as urlencoded $tag variable. We will set the necessary values before sending the request. example: http://your-server.com/postbackscript?id=$id http://your-server.com/postbackscript?id=$id&tag=$tag Note: special characters in postback_url will be urlencoded; i.a., the # character will be encoded into %23learn more on our Help Center

pingback_url
string

notification URL of a completed task optional field when a task is completed we will notify you by GET request sent to the URL you have specified you can use the ‘$id’ string as a $id variable and ‘$tag’ as urlencoded $tag variable. We will set the necessary values before sending the request. example: http://your-server.com/pingscript?id=$id http://your-server.com/pingscript?id=$id&tag=$tag Note: special characters in pingback_url will be urlencoded; i.a., the # character will be encoded into %23learn more on our Help Center

Response

Successful response

version
string

the current version of the API

version.status_code
integer

general status code you can find the full list of the response codes here Note: we strongly recommend designing a necessary system for handling related exceptional or error conditions

version.status_message
string

general informational message you can find the full list of general informational messages here

version.time
string

execution time, seconds

version.cost
number

total tasks cost, USD

version.tasks_count
integer

*the number of tasks in the **tasks*array

version.tasks_error
integer

the number of tasks in the tasks array returned with an error

tasks
string[]

array of tasks

tasks.id
string

unique task identifier in our system in the Universally unique identifier (UUID) format

tasks.status_code
integer

status code of the task generated by DataForSEO; can be within the following range: 10000-60000

tasks.status_message
string

informational message of the task

tasks.time
string

execution time, seconds

tasks.cost
number

cost of the task, USD

tasks.result_count
integer

number of elements in the result array

tasks.path
string[]

URL path

tasks.data
object

contains the same parameters that you specified in the POST request

result
string[]

array of results in this case, the value will be null